Subject: Re: [SIP] I-D ACTION:draft-ietf-sip-rfc2543bis-00.txt,.ps

From: William Marshall <[email-masked]>
Date: Thu, 10 Aug 2000 10:20:48 -0400 (EDT)

> A New Internet-Draft is available from the on-line Internet-Drafts directories.
> This draft is a work item of the Session Initiation Protocol Working Group of the IETF.
> 
> 	Title		: SIP: Session Initiation Protocol
> 	Author(s)	: M. Handley, H. Schulzrinne, E. Schooler, J. Rosenberg
> 	Filename	: draft-ietf-sip-rfc2543bis-00.txt,.ps
                                                    ^^

Wasn't version 00 submitted prior to the Pittsburgh IETF?  Shouldn't
this be version 01?

If not, I'd like to request that the version number be incremented with
each update, so that we can know which version is being referenced.

Bill Marshall
[email-masked]

_______________________________________________
SIP mailing list
[email-masked]
http://lists.bell-labs.com/mailman/listinfo/sip

---

From: Henning Schulzrinne <[email-masked]>
Date: Thu, 10 Aug 2000 10:26:23 -0400

> Wasn't version 00 submitted prior to the Pittsburgh IETF?  Shouldn't

Yes, I just contacted the I-D editor about this. Something seems to have
gone wrong.

> each update, so that we can know which version is being referenced.

That is indeed the normal procedure.

-- 
Henning Schulzrinne   http://www.cs.columbia.edu/~hgs

---

From: "Brian F. G. Bidulock" <[email-masked]>
Date: Fri, 11 Aug 2000 01:46:15 -0500

Henning,

While everyone else has been arguing about how or why one
should "smell" the keypad on their phone ;) I've been reviewing
draft-ietf-sip-rfc2543bis-01.txt and have come across the
following minor edits to the ABNF and related text:

Section 2. SIP Uniform Resource Locators:

    delete

    <  tag-param       = "tag=" UUID
    <  UUID            = 1*( HEX | "-" )

    or replace with

    >  tag-param       =  "tag=" token

    and delete same from Section 6.24 From:

        Section 6.24 From:
            from-param  =  tag-param | generic-param
        <   tag-param   =  "tag" "=" token

        Section 6.43 To:
            to-param  =  tag-param | generic-param

In Section 3 SIP Message Overview:

    add Call-Info header lines to general-header syntax:

        general-header   =  Accept               ; Section 6.6
                         |  Accept-Encoding      ; Section 6.7
                         |  Accept-Language      ; Section 6.8
                         |  Call-ID              ; Section 6.12
    >                    |  Call-Info            ; Section 6.13
                         |  Contact              ; Section 6.14
                         |  CSeq                 ; Section 6.20

In Section 4.1 Request-Line:

    absoluteURI should be defined or reference [RFC2068] Section 3.2.1.

In Section 4.3.1 SIP Version:

    add ABNF:

    >  SIP-Version = "SIP/2.0"

In Section 6.13 Call-Info:

    <  Call-Info   =  "Call-Info" ":" # ( "<" URI ">" *( ";" info-param )

    has imbalanced parentheses and should be changed to:

    >  Call-Info   =  "Call-Info" ":" # ( "<" URI ">" *( ";" info-param ) )

In Section 6.14 Contact:

    qvalue should be defined here or RFC2068 Section 3.9 referenced.
    delta-seconds should be defined here or RFC2068 Section 3.3.2 referenced.

In Section 6.16 Content-Encoding:

    <  tokens. See [3.5] for a definition of the syntax for content-coding.

    should read

    >  tokens. See [H3.5] for a definition of the syntax for content-coding.

In Section 6.17 Content-Language:

    <  See [H14.12]

    should be changed to 

    >  See [H14.13]

In Section 6.21 Date:

    <  See [H14.18] for a definition of rfc1123-date. Note that unlike

    should read

    >  See [H14.19] for a definition of rfc1123-date. Note that unlike

In Section 6.28 MIME-Version:

    <  See [H19.4.1].

    should read

    >  See [H19.4.7].

In Section 6.30 Priority:

    <  other-priority     token

    is missing a definedas and should be changed to:

    >  other-priority  =  token

In Section 6.31 Proxy-Authenticate:

    should reference [H14.32] for ABNF syntax.

In Section 6.32 Proxy-Authenticate:

    should reference [H14.33] for ABNF syntax.

In Section 6.33 Proxy-Require:

    add following syntax definition:

    >  Proxy-Require = "Proxy-Require" ":" 1#option-tag

In Section 6.39 Server:

    <  syntax for this field is defined in [H14.38].

    should be

    >  syntax for this field is defined in [H14.39].

In Section 6.46.6 [Via] Syntax:

    maddr is never defined.

    ttl is redefined from Section 2: SIP Uniform Resource Locators: delete

    <  ttl              = 1*3DIGIT     ; 0 to 255

In Section 6.47 Warning:

    pseudonym should be defined here or RFC2068 Section 14.44 referenced.

In Section 15.1.1 The WWW-Authenticate Response Header:

    <  pgp-version       =  "version" "="
    <                       <"> digit *( "." digit ) *letter <">

    should read

    >  pgp-version       =  "version" "="
    >                       <"> digit *( "." digit ) *alpha <">

In Section 15.2 and 15.3:

    pgp-eparams is defined twice; suggest:

    <  Response-Key  =  "Response-Key" ":" "pgp" pgp-eparams
    <  pgp-eparams   =  1# ( pgp-version | pgp-encoding | pgp-key)

    replaced with 

    >  Response-Key  =  "Response-Key" ":" "pgp" pgp-ekparams
    >  pgp-ekparams   =  1# ( pgp-version | pgp-encoding | pgp-key)

In Section C.1 Basic Rules:

    <  CTL       =  %x00-1f | 0x7f ; (octets 0 -- 31) and DEL (127)

    should read

    >  CTL       =  %x00-1f | %x7f ; (octets 0 -- 31) and DEL (127)

Henning Schulzrinne wrote:          (10:26:23 -0400 Thu, 10 Aug 2000)

-- 
Brian F. G. Bidulock    ¦ The reasonable man adapts himself to the ¦
[email-masked] ¦ world; the unreasonable one persists in  ¦
                        ¦ trying  to adapt the  world  to himself. ¦
                        ¦ Therefore  all  progress  depends on the ¦
 M.O.A.M.O.N.N.T.O.M.E. ¦ unreasonable man. -- George Bernard Shaw ¦

---

From: Henning Schulzrinne <[email-masked]>
Date: Fri, 11 Aug 2000 16:34:06 -0400

"Brian F. G. Bidulock" wrote:

>     <  tag-param       = "tag=" UUID

Deleted, since it doesn't belong in URLs.

>     add Call-Info header lines to general-header syntax:

Done.

>     absoluteURI should be defined or reference [RFC2068] Section 3.2.1.

There are other items from that RFC, so just reference added.

>     delta-seconds should be defined here or RFC2068 Section 3.3.2 referenced.

Added.

> In Section 6.17 Content-Language:

No, since H now references RFC 2616, the current HTTP/1.1 spec.

Thanks for your careful reading!
-- 
Henning Schulzrinne   http://www.cs.columbia.edu/~hgs